Upstream information

CVE-2016-7545 at MITRE

Description

SELinux policycoreutils allows local users to execute arbitrary commands outside of the sandbox via a crafted TIOCSTI ioctl call.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.2 6.6
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C AV:L/AC:M/Au:S/C:C/I:C/A:C
Access Vector Local Local
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact Complete Complete
Integrity Impact Complete Complete
Availability Impact Complete Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Changed
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 1000998 [RESOLVED / FIXED], 968375 [NEW], 968674 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • policycoreutils >= 2.5-10.3.1
  • policycoreutils-newrole >= 2.5-10.3.1
  • policycoreutils-python >= 2.5-10.3.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • policycoreutils >= 2.8-9.19
  • policycoreutils-lang >= 2.8-9.19
  • policycoreutils-newrole >= 2.8-9.19
  • python3-policycoreutils >= 2.8-9.19
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • policycoreutils >= 3.0-1.20
  • policycoreutils-lang >= 3.0-1.20
  • policycoreutils-newrole >= 3.0-1.20
  • python3-policycoreutils >= 3.0-1.20
SUSE Linux Enterprise Module for Basesystem 15
  • policycoreutils >= 2.6-3.12
  • policycoreutils-lang >= 2.6-3.12
  • policycoreutils-newrole >= 2.6-3.12
SUSE Linux Enterprise Module for Development Tools 15 SP2
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • policycoreutils-devel >= 3.0-1.20
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • policycoreutils >= 2.0.79-4.8.1
Patchnames:
slessp4-policycoreutils-12963
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • policycoreutils >= 2.3-3.3.1
  • policycoreutils-python >= 2.3-3.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-173
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • policycoreutils >= 2.5-6.1
  • policycoreutils-python >= 2.5-6.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-172
SUSE Linux Enterprise Server 12 SP3
  • policycoreutils >= 2.5-9.1
  • policycoreutils-python >= 2.5-9.1
SUSE Linux Enterprise Server 12 SP4
  • policycoreutils >= 2.5-10.3.1
  • policycoreutils-python >= 2.5-10.3.1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • policycoreutils >= 2.5-6.1
  • policycoreutils-python >= 2.5-6.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-172
openSUSE Tumbleweed
  • firejail >= 0.9.66-1.2
  • firejail-bash-completion >= 0.9.66-1.2
  • firejail-zsh-completion >= 0.9.66-1.2
  • policycoreutils >= 3.2-1.4
  • policycoreutils-devel >= 3.2-1.4
  • policycoreutils-lang >= 3.2-1.4
  • policycoreutils-newrole >= 3.2-1.4
  • policycoreutils-python-utils >= 3.2-1.4
  • python3-policycoreutils >= 3.2-1.4
Patchnames:
openSUSE Tumbleweed GA firejail-0.9.66-1.2
openSUSE Tumbleweed GA policycoreutils-3.2-1.4


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 policycoreutils Released
SUSE Enterprise Storage 5 policycoreutils Released
SUSE Linux Enterprise High Performance Computing 12 SP5 policycoreutils Released
SUSE Linux Enterprise High Performance Computing 15 LTSS policycoreutils Already fixed
SUSE Linux Enterprise Point of Service Image Server 12 policycoreutils Released
SUSE Linux Enterprise Server 11 SP2 LTSS policycoreutils Affected
SUSE Linux Enterprise Server 11 SP3 LTSS policycoreutils Affected
SUSE Linux Enterprise Server 11 SP4 policycoreutils Released
SUSE Linux Enterprise Server 12 LTSS policycoreutils Affected
SUSE Linux Enterprise Server 12 SP1 policycoreutils Released
SUSE Linux Enterprise Server 12 SP2 policycoreutils Released
SUSE Linux Enterprise Server 12 SP2 BCL policycoreutils Released
SUSE Linux Enterprise Server 12 SP2 ESPOS policycoreutils Released
SUSE Linux Enterprise Server 12 SP2 LTSS policycoreutils Released
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON policycoreutils Released
SUSE Linux Enterprise Server 12 SP2 LTSS SAP policycoreutils Released
SUSE Linux Enterprise Server 12 SP3 BCL policycoreutils Released
SUSE Linux Enterprise Server 12 SP3 ESPOS policycoreutils Released
SUSE Linux Enterprise Server 12 SP3 LTSS policycoreutils Released
SUSE Linux Enterprise Server 12 SP4 ESPOS policycoreutils Released
SUSE Linux Enterprise Server 12 SP4 LTSS policycoreutils Released
SUSE Linux Enterprise Server 12 SP5 policycoreutils Released
SUSE Linux Enterprise Server 15 LTSS policycoreutils Already fixed
SUSE Linux Enterprise Server ESPOS 15 policycoreutils Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP2 policycoreutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 policycoreutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 policycoreutils Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 policycoreutils Released
SUSE Linux Enterprise Server for SAP Applications 15 policycoreutils Already fixed
SUSE Linux Enterprise Server for the Raspberry Pi policycoreutils Released
SUSE OpenStack Cloud 7 policycoreutils Released
SUSE OpenStack Cloud 8 policycoreutils Released
SUSE OpenStack Cloud 9 policycoreutils Released
SUSE OpenStack Cloud Crowbar 8 policycoreutils Released
SUSE OpenStack Cloud Crowbar 9 policycoreutils Released